<?php
/**
 * @version $Id: install.vfm.php 11 2006-05-21 04:21:30Z tvlgiao $
 * @author Giao Trinh (tvlgiao@yahoo.com)
 * @package Joomla
 * @subpackage VFM
 * @license GNU/GPL
 * @copyright Copyright 2006 Giao Trinh. All rights reserved.
 */
 
function com_install() {
	global $database, $mosConfig_absolute_path;
	
	$conf = array();
	$conf['componentheading'] = 'VNETCOM File Manager';
	$conf['rootdir'] = $mosConfig_absolute_path;
	$conf['root_permission'] = 'deny'; # 'deny', 'view', 'admin'
	$conf['debug'] = false;
	$conf['debug_output'] = '';
	$conf['debug_output_ajax'] = 'vfm_debug_ajax.log.html';
	$conf['zip_filename'] = 'vfm';
	
	$params = $database->getEscaped(serialize($conf));
	$database->setQuery("UPDATE #__components SET `params`='$params' WHERE `option`='com_vfm'");
	$database->query();
	
	$database->setQuery("SELECT * FROM #__usertypes WHERE `name` LIKE 'guest'");
	$rows = $database->loadObjectList();
	if (count($rows) <= 0) {
		$database->setQuery("INSERT INTO #__usertypes (`id`, `name`, `mask`) VALUES (LAST_INSERT_ID(), 'guest', '')");
		$database->query();
	}
	
	vfm_upgrade_1();
	vfm_upgrade_2();

	echo "<p>Installed Successfull.</p>";
}

# to 1.0.3
function vfm_upgrade_1 () {
	global $database;
	$tables = $database->getTableFields(array('#__vfm_files'));
	if (!$tables['#__vfm_files']['title']) {
		$database->setQuery("ALTER TABLE `#__vfm_files` ADD `title` VARCHAR( 255 ) NULL");
		$database->query();
	}
	if (!$tables['#__vfm_files']['description']) {
		$database->setQuery("ALTER TABLE `#__vfm_files` ADD `description` TEXT NULL");
		$database->query();
	}
}

# to 1.0.5
function vfm_upgrade_2() {
	global $database;
	$database->setQuery("ALTER TABLE `#__vfm_files` CHANGE `filename` `filename` VARCHAR(255)");
}
?>