<script type="text/javascript"><!--
	String.prototype.trim = function() {
		a = this.replace(/^\s+/, '');
		return a.replace(/\s+$/, '');
	};
	
	function vfm_toggle_all_downloaded_checkboxes(reverse) {
		if (reverse) $('vfm_downloaded_all_checkbox').checked = !$('vfm_downloaded_all_checkbox').checked;
		var a = document.getElementsByTagName('input');
		for (var i = 0; i < a.length; i++) 
			if (a[i].name == 'select[]')
				a[i].checked = $('vfm_downloaded_all_checkbox').checked; 
	}
	
	function vfm_zip_selected() {
		$('vfm_list_table_do').value = 'zip';
		document.forms['vfm_list_table'].submit();
	}

	function vfm_select_groups(elm) {
		var values = elm.innerHTML.trim().split(/\s*,\s*/);
		var html = '<select class="inputbox" id="EditInPlace_edit_' + elm.id + '" name="' + elm.id + '" size="10" multiple="true">';
		html += '<option value="">None</option>';
		html += '<optgroup label="Joomla Groups">';
		<?php foreach ($vfm->groups['usertypes'] as $_usertype): ?>
			html += '<option value="<?php echo $_usertype->name; ?>" ' + (values.indexOf('<?php echo $_usertype->name; ?>') >= 0 ? 'selected="selected"' : '') + '><?php echo $_usertype->name; ?></option>';
		<?php endforeach; ?>
		html += '<optgroup label="VFM Usergroups">';
		<?php foreach ($vfm->groups['groups'] as $_group): ?>
			html += '<option value="<?php echo $_group->gid; ?>" ' + (values.indexOf('<?php echo $_group->gid; ?>') >= 0 ? 'selected="selected"' : '') + '><?php echo $_group->groupname; ?></option>';
		<?php endforeach; ?>
		html += '</optgroup>';
		html += '</select>';
		return html;
	}
	
	function vfm_textbox(elm, params) {
		if (typeof (params) == 'object') {
			var width = '';
			if (params.width) width = 'width: ' + params.width + ';';
		}
		var html = '<input type="text" class="inputbox" id="EditInPlace_edit_' + elm.id + '" name="' + elm.id + '" size="25" value="' + trim(elm.innerHTML) + '" style="'+ width + '" />';
		return html;
	}
	
	function vfm_textarea(elm, params) {
		if (typeof (params) == 'object') {
			var width = '';
			if (params.width) width = 'width: ' + params.width + ';';
		}
		var html = '<textarea class="inputbox" id="EditInPlace_edit_' + elm.id + '" name="' + elm.id + '" rows=3 cols=50 style="'+ width + '">' + trim(elm.innerHTML) + '</textarea>';
		return html;
	}
//-->
</script>

<form name="vfm_list_table" method="post" action="<?php echo sefReltoAbs("index.php?option=$option&amp;Itemid=$Itemid" . ($vfm->dirname ? "&amp;dir=".htmlspecialchars($vfm->dirname) : "") ); ?>">
<input type="hidden" id="vfm_list_table_do" name="do" />
<input type="checkbox" id="vfm_downloaded_all_checkbox" name="vfm_downloaded_all_checkbox" value="1" onchange="vfm_toggle_all_downloaded_checkboxes()" style="display:none" />

<?php if ($conf['componentheading']): ?>
<div class="componentheading"><?php echo $conf['componentheading']; ?></div>
<?php endif; ?>

<div class="vfm_toolbar"><?php include dirname(__FILE__) . '/_toolbar.php'; ?></div>

<?php $n = 0; ?>

<h3>Category</h3>
<ul class="vfm_entries">
<?php foreach ($folders as $i => $entry): ?>
	<li class="vfm_entry"><?php include dirname(__FILE__) . '/_entry.php'; ?></li>
	<?php $n++; ?>
<?php endforeach; ?>
</ul>
<span class="vfm_spacer"></span>


<h3>File</h3>
<ul class="vfm_entries">
<?php foreach ($files as $i => $entry): ?>
	<li class="vfm_entry"><?php include dirname(__FILE__) . '/_entry.php'; ?></li>
	<?php $n++; ?>
<?php endforeach; ?>
</ul>
<span class="vfm_spacer"></span>

<div class="vfm_toolbar"><?php include dirname(__FILE__) . '/_toolbar.php'; ?></div>
</form>


<script type="text/javascript"><!--
	Event.observe(window, 'load', vfm_init_eip, false);
	function vfm_init_eip() {
		<?php while($vfm->read()): ?>
			<?php if ($vfm->entry['basename'] == '.' || $vfm->entry['basename'] == '..') continue; ?>
			<?php if ($vfm->entry['permission'] == 'admin'): ?>
				var id = 'vfm_admin[<?php echo urlencode($vfm->entry['filename']); ?>]';
				var url = '<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&do=setadmin&dir=".urlencode($vfm->entry['filename'])); ?>';
				EditInPlace_makeEditable(id, function (obj) {
								return vfm_select_groups(obj);
							}, url);
				
				var id = 'vfm_view[<?php echo urlencode($vfm->entry['filename']); ?>]';
				var url = '<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&do=setview&dir=".urlencode($vfm->entry['filename'])); ?>';
				EditInPlace_makeEditable(id, function (obj) {
								return vfm_select_groups(obj);
							} , url);
				
				var id = 'vfm_deny[<?php echo urlencode($vfm->entry['filename']); ?>]';
				var url = '<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&do=setdeny&dir=".urlencode($vfm->entry['filename'])); ?>';
				EditInPlace_makeEditable(id, function (obj) {
								return vfm_select_groups(obj);
							} , url);
				
				
				var id = 'vfm_title[<?php echo urlencode($vfm->entry['filename']); ?>]';
				var url = '<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&do=settitle&dir=".urlencode($vfm->entry['filename'])); ?>';
				EditInPlace_makeEditable(id, function (id) { 
								return vfm_textbox($(id), {width: $(id).offsetWidth+'px'}); 
							}, url);
				
				
				var id = 'vfm_desc[<?php echo urlencode($vfm->entry['filename']); ?>]';
				var url = '<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&do=setdesc&dir=".urlencode($vfm->entry['filename'])); ?>';
				EditInPlace_makeEditable(id, function (obj) { 
								return vfm_textarea(obj, {width: obj.offsetWidth+'px'}); 
							}, url);
								
			<? endif; ?>
		<?php endwhile; ?>
	}
//-->
</script>

<div class="vfm_legend">
	<img src="<?php echo $mosConfig_live_site; ?>/administrator/components/com_vfm/images/admin.gif" border="0" alt="Manager" title="Manager" align="absmiddle" /> Moderadores <span class="vfm_space"> </span>
	<img src="<?php echo $mosConfig_live_site; ?>/administrator/components/com_vfm/images/viewer.gif" border="0" alt="Viewer" title="Viewer" align="absmiddle" /> Apenas podem visualizar <span class="vfm_space"> </span>
	<img src="<?php echo $mosConfig_live_site; ?>/administrator/components/com_vfm/images/deny.gif" border="0" alt="Deny" title="Deny" align="absmiddle" /> Acesso bloqueado <span class="vfm_space"> </span>
	<br />Clique no icone para configurar a permiso dos gripos
</div>

<div class="vfm_copyright">
</div>