
//Event.observe(window, 'load', init, false);

function EditInPlace_makeEditable(id, replace, url){

	Event.observe(id, 'click', function(){EditInPlace_edit($(id), replace, url)}, false);
	Event.observe(id, 'mouseover', function(){EditInPlace_showAsEditable($(id))}, false);
	Event.observe(id, 'mouseout', function(){EditInPlace_showAsEditable($(id), true)}, false);
}



function EditInPlace_edit(obj, replacer, url){
	if (typeof(replacer) == 'function') code = replacer(obj);
	else code = replacer;
	
	Element.hide(obj);
	
	//var textarea = '<div id="'+obj.id+'_editor"><textarea id="'+obj.id+'_edit" name="'+obj.id+'" rows="4" cols="60">'+obj.innerHTML+'</textarea>';
	var editarea = '<div class="EditInPlace_editor" id="EditInPlace_editor_'+obj.id+'">'+code
	var button	 = '<div class="EditInPlace_buttons"><input id="EditInPlace_save_'+obj.id+'" type="button" value="SAVE" class="button" /> <input id="EditInPlace_cancel_'+obj.id+'" type="button" value="CANCEL" class="button" /></div></div>';
	
	new Insertion.After(obj, editarea+button);	
		
	Event.observe('EditInPlace_save_' + obj.id, 'click', function(){EditInPlace_saveChanges(obj, url)}, false);
	Event.observe('EditInPlace_cancel_' + obj.id, 'click', function(){EditInPlace_cleanUp(obj)}, false);
	
}

function EditInPlace_showAsEditable(obj, clear){
	if (!clear){
		Element.addClassName(obj, 'editable');
	}else{
		Element.removeClassName(obj, 'editable');
	}
}

function EditInPlace_saveChanges(obj, url){
	
	var new_content	=  encodeURIComponent($F('EditInPlace_edit_' + obj.id));

	obj.innerHTML	= "Saving...";
	EditInPlace_cleanUp(obj, true);

	var success	= function(t){EditInPlace_editComplete(t, obj);}
	var failure	= function(t){EditInPlace_editFailed(t, obj);}

	var pars = 'contents='+new_content;
	var myAjax = new Ajax.Request(url, {method:'post', postBody:pars, onSuccess:success, onFailure:failure});

}

function EditInPlace_cleanUp(obj, keepEditable){
	Element.remove('EditInPlace_editor_' + obj.id);
	Element.show(obj);
	if (!keepEditable) EditInPlace_showAsEditable(obj, true);
}

function EditInPlace_editComplete(t, obj){
	obj.innerHTML	= t.responseText;
	EditInPlace_showAsEditable(obj, true);
}

function EditInPlace_editFailed(t, obj){
	obj.innerHTML	= 'Sorry, the update failed.';
	EditInPlace_cleanUp(obj);
}

